Package: org.grails.web.converters.configuration

## [Java] Class ConvertersConfigurationHolder

- org.grails.web.converters.configuration.ConvertersConfigurationHolder

- Singleton which holds all default and named configurations for the Converter classes.

  Authors:
    Siegfried Puchbauer
  Since:
    1.1

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `CONVERTERS_DEFAULT_ENCODING` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static void` | `clear()`
    `` | `protected static java.lang.ThreadLocal<java.util.Map<java.lang.Class<? extends Converter>, ConverterConfiguration>>` | `createThreadLocalConfiguration()`
    `<C extends Converter>` | `static ConverterConfiguration<C>` | `getConverterConfiguration(java.lang.Class<C> converterClass)`
    `<C extends Converter>` | `static ConverterConfiguration<C>` | `getNamedConverterConfiguration(java.lang.String name, java.lang.Class<C> converterClass)`
    `<C extends Converter>` | `static ConverterConfiguration<C>` | `getThreadLocalConverterConfiguration(java.lang.Class<C> converterClass)`
    `<C extends Converter>` | `static void` | `setDefaultConfiguration(java.lang.Class<C> c, ConverterConfiguration<C> cfg)`
    `<C extends Converter>` | `static void` | `setDefaultConfiguration(java.lang.Class<C> c, java.util.List<ObjectMarshaller<C>> om)`
    `<C extends Converter>` | `static void` | `setNamedConverterConfiguration(java.lang.Class<C> converterClass, java.lang.String name, ConverterConfiguration<C> cfg)`
    `<C extends Converter>` | `static void` | `setNamedConverterConfiguration(java.lang.Class<C> converterClass, java.lang.String name, java.util.List<ObjectMarshaller<C>> om)`
    `<C extends Converter>` | `static void` | `setThreadLocalConverterConfiguration(java.lang.Class<C> converterClass, ConverterConfiguration<C> cfg)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String CONVERTERS_DEFAULT_ENCODING

  - ### Method Detail

    - #### public static void clear()

    - #### protected static java.lang.ThreadLocal<java.util.Map<java.lang.Class<? extends Converter>, ConverterConfiguration>> createThreadLocalConfiguration()

    - #### <C extends Converter> public static ConverterConfiguration<C> getConverterConfiguration(java.lang.Class<C> converterClass)

    - #### <C extends Converter> public static ConverterConfiguration<C> getNamedConverterConfiguration(java.lang.String name, java.lang.Class<C> converterClass)

    - #### <C extends Converter> public static ConverterConfiguration<C> getThreadLocalConverterConfiguration(java.lang.Class<C> converterClass)

    - #### <C extends Converter> public static void setDefaultConfiguration(java.lang.Class<C> c, ConverterConfiguration<C> cfg)

    - #### <C extends Converter> public static void setDefaultConfiguration(java.lang.Class<C> c, java.util.List<ObjectMarshaller<C>> om)

    - #### <C extends Converter> public static void setNamedConverterConfiguration(java.lang.Class<C> converterClass, java.lang.String name, ConverterConfiguration<C> cfg)

    - #### <C extends Converter> public static void setNamedConverterConfiguration(java.lang.Class<C> converterClass, java.lang.String name, java.util.List<ObjectMarshaller<C>> om)

    - #### <C extends Converter> public static void setThreadLocalConverterConfiguration(java.lang.Class<C> converterClass, ConverterConfiguration<C> cfg)